Bug 1721871 - [UI] External IP value is not being saved for GCE Compute Profile
Summary: [UI] External IP value is not being saved for GCE Compute Profile
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - GCE
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.6.0
Assignee: Kavita
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks: 1721890
TreeView+ depends on / blocked
 
Reported: 2019-06-19 07:54 UTC by Jitendra Yejare
Modified: 2019-10-22 19:52 UTC (History)
5 users (show)

Fixed In Version: foreman-1.22.0.17-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:52:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27157 None None None 2019-06-26 07:40:38 UTC

Description Jitendra Yejare 2019-06-19 07:54:57 UTC
Description of problem:
The External IP check is not being saved for GCE Compute Profile.

Version-Release number of selected component (if applicable):
Satellite 6.6 snap 7

How reproducible:
Always

Steps to Reproduce:
1. Create GCE Compute Resource, load data from GCE and test connection successfully.
2. Create a new compute profile for GCE.
3. While editing compute profile, select External IP checkbox and save the compute profile.
4. Reopen the GCE compute profile and verify External IP checkbox is checked.

Actual results:
1. The External IP check is not saved(checked in this case) in GCE Compute Profile.

Expected results:
The External IP check should be saved for GCE Compute Profile.

Additional info:

Comment 3 Kavita 2019-06-26 07:40:36 UTC
Created redmine issue https://projects.theforeman.org/issues/27157 from this bug

Comment 4 Bryan Kearney 2019-07-02 20:01:26 UTC
Upstream bug assigned to kgaikwad@redhat.com

Comment 5 Bryan Kearney 2019-07-10 16:08:22 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27157 has been resolved.

Comment 8 Jitendra Yejare 2019-08-26 14:08:49 UTC
Verified!

@Satellite 6.6 snap 17


Steps to Reproduce:
-------------------------
1. Create GCE Compute Resource, load data from GCE and test connection successfully.
2. Create a new compute profile for GCE.
3. While editing compute profile, select External IP checkbox and save the compute profile.
4. Reopen the GCE compute profile and verify External IP checkbox is checked.


Observation:
-------------------------
The External IP check is saved for GCE Compute Profile.

Comment 9 Bryan Kearney 2019-10-22 19:52:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.